## wxStaticBoxSizer

wxStaticBoxSizer is a sizer derived from wxBoxSizer but adds a static box around the sizer. Note that this static box has to be created separately.

Derived from

wxBoxSizer
wxSizer
wxObject

See also

wxSizer, wxStaticBox, wxBoxSizer, Sizer overview

Members

wxStaticBoxSizer::wxStaticBoxSizer
wxStaticBoxSizer::GetStaticBox

### wxStaticBoxSizer::wxStaticBoxSizer

wxStaticBoxSizer(wxStaticBox* box, int orient)

Constructor. It takes an associated static box and the orientation orient as parameters - orient can be either of wxVERTICAL or wxHORIZONTAL.

### wxStaticBoxSizer::GetStaticBox

wxStaticBox* GetStaticBox()

Returns the static box associated with the sizer.